USCAN-COMPONENTS(1p)

NAME
uscan-components - wrapper around uscan for package and components

SYNOPSIS
uscan-components [options]

DESCRIPTION
"uscan-components" is a wrapper around "uscan" for packages using "dh_components". Firstly it will check that both the package and all the components have watch files; and will return an error if they do not. Then it will run uscan on the main watch file. If that downloads something it will run uscan on each of the components. It accepts a number of uscan options all of which are passed onto to each invocation of uscan.

OPTIONS

--upgrade
--no-upgrade
    By default the current versions of the various components will be downloaded. This resolves into --force-download and either --download-current-version or --upstream-version for the main and component tarballs respectively. The current versions of the components are stored in the files: "debian/components/"comp"/version". If the --upgrade option is applied then instead the latest version will be requested and the version files updated accordingly.

--update
--no-update
    This option calls "uupdate -f" to create a buildable source package directory.

--dry-run
    If set no actual uscan will not actually be called but those that might be will be listed.

--help
    Prints a brief help message and exits.

--man
    Prints the manual page and exits.

--verbose
--no-verbose
    These options simulate the verbosity flag being passed to "uscan". The actual invocations must always be verbose as the information is required to correctly rename the component files. However the output is not passed back to the user if verbosity is turned off.

--report
--report-status
--pasv
--no-pasv
--timeout
--debug
--user-agent, --useragent
    All of the these arguments are passed straight to each uscan invocation.

FILES
For each component the watch file is assumed to be in "debian/components/"component"/watch" and the component version is maintained in "debian/components/"component"/version".

SEE ALSO
uscan(1)

AUTHOR
Nicholas Bamber <nicholas@periapt.co.uk>